<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
    <style>
        body {
            background: #d0d0d0;
        }
        p{
            width:50%;
            font-size: 16px;
            text-align: justify;
            margin-left: 20%
        }   
    </style>
</head>
<body>
    <p>
        Como primera parte vimos Los métodos HTML DOM que son acciones que puede realizar (en Elementos HTML).
        <br>
        Las propiedades HTML DOM son valores (de elementos HTML) que puede establecer o cambiar.
        <br>
        Luego como ejercicio hicimos 3 div y mediante console del navegador les cambiamos el nombre ej. div[0].style="background:red;"
        <br>
        como ejercicio hicimos el index3.html y DOM3.js donde teniamos que cambiar los valores desde consloa para simular un avioncito.
        <br><br>
        Esto es el ejercicio resuelto:
        <br><br>
        div1[0].style="width:100px; height:100px; border-radius:100%; margin-left:300px; float:left; background:yellow; text-align:center;"
        <br><br>
        div1[1].style="width:100px; height:100px; margin-left:300px; float:left; background:yellow;"
        <br><br>
        div1[2].style="width:100px; height:100px; margin-left:-170px; margin-top:101px;float:left; background:yellow;"
        <br><br>
        div1[3].style="width:100px; height:100px; margin-left:-59px; margin-top:101px;float:left; background:yellow;"
        <br><br>
        div1[4].style="width:100px; height:100px; margin-left:-170px; margin-top:202px;float:left; background:yellow;"
        <br><br>
        div1[5].style="width:100px; height:100px; margin-left:-170px; margin-top:302px;float:left; background:yellow;"
        <br><br>
        div1[6].style="width:100px; height:100px; margin-left:-281px; margin-top:403px;float:left; background:yellow;"
        <br><br>
        div1[7].style="width:100px; height:100px; margin-left:-170px; margin-top:403px;float:left; background:yellow;"
        <br><br>
        div1[8].style="width:100px; height:100px; margin-left:-59px; margin-top:403px;float:left; background:yellow;"
        <br><br>
        div1[9].style="width:100px; height:100px; margin-left:-223px; margin-top:504px;float:left; background:yellow;"
        <br>
        
    </p>
    <p>
        
        El dia de hoy vimos posiciones "position: absoluta, relativa y fixed" en donde segun lo explicado Un elemento fixed (fijo) se posiciona a la ventana del navegador de manera relativa, lo que significa que se mantendrá en el mismo lugar incluso después de hacer scroll en la página. Al igual que con relative, las propiedades top, right, bottom, y left también son usadas.
        
        
    </p>
    <p>
        absolute (absoluto) es el valor más mañoso segun lo entendi. El absolute se comporta como fixed pero es relativo a su ancestro posicionado más cercano en lugar de ser relativo a la ventana del navegador. Si un elemento con position: absolute; no tiene ancestros posicionados, usará el elemento body del documento, y se seguirá moviendo al hacer scroll en la página
    </p>
    <p>
        La posicion relative  se comporta de la misma manera que static a menos que le agregues otras propiedades. Establecer las propiedades top, right, bottom, y left de un elemento con position: relative; causará que su posición normal se reajuste. Otro contenido no se puede ajustar para adaptarse a cualquier hueco dejado por el elemento
    </p>

    
</body>
</html>